- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# light.cpp File Reference

`#include "light.h"`
`#include "chunk.h"`
`#include "readwrite.h"`
`#include <stdlib.h>`
`#include <math.h>`
`#include <string.h>`
`#include "config.h"`

Include dependency graph for light.cpp:

## Defines
#define | LIB3DS_EXPORT
## Functions
Lib3dsLight * | lib3ds_light_new (const char *name)
void | lib3ds_light_free (Lib3dsLight *light)
void | lib3ds_light_dump (Lib3dsLight *light)
Lib3dsBool | lib3ds_light_read (Lib3dsLight *light, FILE *f)
Lib3dsBool | lib3ds_light_write (Lib3dsLight *light, FILE *f)

## Define Documentation

#define LIB3DS_EXPORT